Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

add missing react-dom js to package data #4772

Merged
merged 1 commit into from Aug 6, 2019

Conversation

@minrk
Copy link
Member

commented Jul 18, 2019

this file was omitted when react was added, so it is not installed.

closes #4771

@minrk minrk added this to the 6.0.1 milestone Jul 18, 2019

@tm731531

This comment has been minimized.

Copy link

commented Jul 25, 2019

how can i insall 6.0.1 version
i use pip install notebook==6.0.1
it is not work for me
or how can I get js file?
thanks

@neilkatin

This comment has been minimized.

Copy link

commented Jul 28, 2019

how can i insall 6.0.1 version
i use pip install notebook==6.0.1
it is not work for me
or how can I get js file?
thanks

As a workaround I grabbed the file from: https://unpkg.com/react-dom@16/umd/react-dom.production.min.js and copied it into the jupyter static package tree .../site_packages/notebook/static/components/react

@lresende

This comment has been minimized.

Copy link
Member

commented Jul 29, 2019

There is no 6.0.1 release yet, should we start planning/preparing one?

@dleen
dleen approved these changes Jul 29, 2019
Copy link

left a comment

Looks good to me!

@koren88i

This comment has been minimized.

Copy link

commented Aug 2, 2019

i am putting the file in the new env. i do not get the error but opening a new notebook does not work.

@jeremysze

This comment has been minimized.

Copy link

commented Aug 6, 2019

I also have this issue. Where can I find ".../site_packages/notebook/static/components/react" to place the react-dom.production.min.js file?

@lresende
Copy link
Member

left a comment

LGTM

@lresende lresende merged commit 5c43809 into jupyter:master Aug 6, 2019

4 checks passed

codecov/patch Coverage not affected when comparing e498de6...ba0730d
Details
codecov/project 69.09% remains the same compared to e498de6
Details
continuous-integration/appveyor/pr AppVeyor build succeeded
Details
continuous-integration/travis-ci/pr The Travis CI build passed
Details
@VipinindKumar

This comment has been minimized.

Copy link

commented Aug 7, 2019

@jeremysze I found the directory here /home/user-name/.local/lib/python3.7/site-packages/notebook/static/components/react on ubunutu

and the error of missing this file is gone.

but now I'm getting a new error of missing file 404 GET /nbextensions/widgets/notebook/js/extension.js?v=20190807184008 when importing tensorflow

maybe this will help in fixing yours

@meeseeksmachine

This comment has been minimized.

Copy link

commented Aug 8, 2019

This pull request has been mentioned on Jupyter Community Forum. There might be relevant details there:

https://discourse.jupyter.org/t/jupyter-notebook-error-message/1858/2

@maxwf42

This comment has been minimized.

Copy link

commented Aug 15, 2019

Where can I find the directory on a mac?

@yihanhu97

This comment has been minimized.

Copy link

commented Aug 19, 2019

how can i insall 6.0.1 version
i use pip install notebook==6.0.1
it is not work for me
or how can I get js file?
thanks

As a workaround I grabbed the file from: https://unpkg.com/react-dom@16/umd/react-dom.production.min.js and copied it into the jupyter static package tree .../site_packages/notebook/static/components/react

@neilkatin @VipinindKumar couldn't find the folder named notebook. I have no problem locating site_packages. I am currently running python 3.5 on Raspberry Pi and I also ran into the same jupyter notebook issus. Any thoughts? Thank you!

@pjdw

This comment has been minimized.

Copy link

commented Aug 21, 2019

/.local/lib/python3.7/site-packages/notebook/static/components/react

Where can I find the directory on a mac?

/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/site-packages/notebook/static/components/react

@spring-haru

This comment has been minimized.

Copy link

commented Aug 22, 2019

I had the same problem in the case where JN was started when a particular env was active on Mac. The error has gone after the react-dom.production.min.js file was copied into the following folder:

<my_user_name>/anaconda3/envs/<my_env_namei>/lib/python3.7/site-packages/notebook/static/components/react

@ruleGreen

This comment has been minimized.

Copy link

commented Sep 5, 2019

how can i insall 6.0.1 version
i use pip install notebook==6.0.1
it is not work for me
or how can I get js file?
thanks

Do you figure it out?
I meet this problem today and I can not degrade tornado to less than vision 5.0.0 cause the notebook 6.0.0 required tornado >= 5.0.0.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
You can’t perform that action at this time.